McDSP 6034 Ultimate Multi-band Plugin

Multi-band dynamics processor

The 6034 Ultimate Multi-band is a flexible multi-band dynamics processor

McDSP Plugins are available in both HD and Native format, please select the appropriate one below

In stock

Part No:
M-PI-UM

As low as £95.00 £79.17

Did you find this item priced lower than £95.00 somewhere else? Yes
Customize McDSP 6034 Ultimate Multi-band Plugin
McDSP 6034 Ultimate Multi-band Plugin   + £0.00 £0.00

* Required Fields

Your Customization
McDSP 6034 Ultimate Multi-band
McDSP 6034 Ultimate Multi-band Plugin

In stock

£95.00 £79.17

Summary

    The 6034 Ultimate Multi-band is a flexible multi-band dynamics processor, offering all the award-winning compression, expansion, and gating modules from the highly acclaimed 6050 Ultimate Channel Strip plug-in, in a four band crossover network. Just like the 6050 modules, the 6034 Ultimate Multi-band modules can be swapped on the fly for quick auditioning while retaining relative settings. The crossover filter slopes can be configured as 6, 12, or 24 dB/Oct. Metering includes gain reduction and output levels on all crossover bands, as well as main input and output levels.

    Artist Presets included from: Mike Dean, ROCAsound, David Bottrill, Richard Chycki, Lovy Longomba, Eric Racy, Brujo Caipo and Zakk Cervini.

    • Includes award-winning compressor modules from the 6050 Ultimate Channel Strip
    • Configurable four-band crossover with multiple filter slope options
    • On the fly module auditioning
    • Input and output control
    • Analog Saturation Modeling
    • Double precision processing
    • Ultra low latency
    • Mono and stereo versions
    More Information
    Specification

    Formats

    • HD v6: AAX DSP/Native, AU, VST
    • Native: AAX Native, AU, VST

     

    • McDSP Plugins require an iLok 2 or iLok 3 USB Smart Key for authorization

     

    Operating System

    Mac

    • 10.8.x (Mountain Lion)
    • 10.9.x (Mavericks)
    • 10.10.x (Yosemite)
    • 10.11.x (El Capitan)
    • 10.12.x (Sierra)
    • 10.13.x (High Sierra)

    Windows

    • Not currently compatible with Windows at this time